We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Broken/Incomplete 2.6.38.2 grsecurity kernel


Norm
12-11-2011, 03:28 PM
Hi,

The 2.6.38.2 OVH kernel that is suppose to support grsecurity/SeLinux extensions is broken/incomplete. I would like to update the configuration and recompile the kernel.

However it would be great to start with the same kernel configuration that OVH was using. However if you take a look at:

ftp://ftp.ovh.net/made-in-ovh/bzImage/2.6.38.2-2/

All of the standard (std) kernel configurations are present but none of the grsecurity (grc) kernel configurations have been disclosed.

Would someone that works for OVH please tell me where I can obtain the grsecurity kernel configuration? Why have they been omitted?

Thanks,
-Norm